### Method

# AppStream RelationCheckResult set_message

#### Declaration [src]

    void
    as_relation_check_result_set_message (
      AsRelationCheckResult* relcr,
      const gchar* format,
      ...
    )

#### Description [src]

Set a human-readable information message about the satisfaction state of the dependency under the checked system configuration.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  The new message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  No description available.